## org.eclipse.e4.xwt.metadata
Interface IMetaclass

    public interface IMetaclass

UI metaclass

Author:
  yyang

Method Summary
`IProperty` `addArrayProperty(IProperty property)` TODO
`IProperty` `addProperty(IProperty property)`
`IProperty` `findDefaultProperty()`
`IEvent` `findEvent(java.lang.String name)`
`IProperty` `findProperty(java.lang.String name)`
`IEvent[]` `getEvents()`
`java.lang.String` `getName()`
`IProperty[]` `getProperties()`
`IMetaclass` `getSuperClass()`
`java.lang.Class<?>` `getType()`
`boolean` `isAbstract()`
`boolean` `isAssignableFrom(IMetaclass metaclass)`
`boolean` `isInstance(java.lang.Object object)`
`boolean` `isSubclassOf(IMetaclass metaclass)`
`boolean` `isSuperclassOf(IMetaclass metaclass)`
`java.lang.Object` `newInstance(java.lang.Object[] parameters)`

Method Detail

### getName

    java.lang.String getName()

### getProperties

    IProperty[] getProperties()

### getSuperClass

    IMetaclass getSuperClass()

### getEvents

    IEvent[] getEvents()

### findProperty

    IProperty findProperty(java.lang.String name)

### findDefaultProperty

    IProperty findDefaultProperty()

### findEvent

    IEvent findEvent(java.lang.String name)

### newInstance

    java.lang.Object newInstance(java.lang.Object[] parameters)

### isAbstract

    boolean isAbstract()

### isInstance

    boolean isInstance(java.lang.Object object)

### isSubclassOf

    boolean isSubclassOf(IMetaclass metaclass)

### isSuperclassOf

    boolean isSuperclassOf(IMetaclass metaclass)

### isAssignableFrom

    boolean isAssignableFrom(IMetaclass metaclass)

### getType

    java.lang.Class<?> getType()

### addArrayProperty

    IProperty addArrayProperty(IProperty property)

  TODO

  Parameters:
    `property` -
  Returns:

### addProperty

    IProperty addProperty(IProperty property)